Bug 812769 - Remove excessive logging of "failed to perform truncate" messages in the rebalance logs
Remove excessive logging of "failed to perform truncate" messages in the reba...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-16 03:55 EDT by shylesh
Modified: 2013-12-08 20:31 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:50:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa41
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-04-16 03:55:35 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.create a distribute volume and fill with some files
2.add-brick and initiate rebalance 
3. now check the log
  
Actual results:
Excessive logs are present saying "failed to perform truncate"
 


=====================================================================
[2012-04-16 02:25:42.340607] W [client3_1-fops.c:708:client3_1_truncate_cbk] 0-test-client-2: remote operation failed: No such file or
 directory
[2012-04-16 02:25:42.340661] W [dht-rebalance.c:838:dht_migrate_file] 0-test-dht: /78: failed to perform truncate on test-client-2 (No
 such file or directory)
[2012-04-16 02:25:42.342119] W [dht-rebalance.c:853:dht_migrate_file] 0-test-dht: /78: failed to lookup the file on subvolumes (No suc
h file or directory)
[2012-04-16 02:25:42.342155] I [dht-rebalance.c:858:dht_migrate_file] 0-test-dht: completed migration of /78 from subvolume test-clien
t-2 to test-client-3
[2012-04-16 02:25:42.348807] I [dht-rebalance.c:647:dht_migrate_file] 0-test-dht: /82: attempting to move from test-client-2 to test-c
lient-3
[2012-04-16 02:25:42.682579] W [client3_1-fops.c:708:client3_1_truncate_cbk] 0-test-client-2: remote operation failed: No such file or directory
[2012-04-16 02:25:42.682645] W [dht-rebalance.c:838:dht_migrate_file] 0-test-dht: /82: failed to perform truncate on test-client-2 (No such file or directory)
[2012-04-16 02:25:42.684192] W [dht-rebalance.c:853:dht_migrate_file] 0-test-dht: /82: failed to lookup the file on subvolumes (No such file or directory)
[2012-04-16 02:25:42.684219] I [dht-rebalance.c:858:dht_migrate_file] 0-test-dht: completed migration of /82 from subvolume test-client-2 to test-client-3
[2012-04-16 02:25:42.698898] I [dht-rebalance.c:647:dht_migrate_file] 0-test-dht: /86: attempting to move from test-client-2 to test-client-3
[2012-04-16 02:25:43.044838] W [client3_1-fops.c:708:client3_1_truncate_cbk] 0-test-client-2: remote operation failed: No such file or directory
[2012-04-16 02:25:43.044883] W [dht-rebalance.c:838:dht_migrate_file] 0-test-dht: /86: failed to perform truncate on test-client-2 (No such file or directory)
[2012-04-16 02:25:43.046214] W [dht-rebalance.c:853:dht_migrate_file] 0-test-dht: /86: failed to lookup the file on subvolumes (No such file or directory)
[2012-04-16 02:25:43.046236] I [dht-rebalance.c:858:dht_migrate_file] 0-test-dht: completed migration of /86 from subvolume test-client-2 to test-client-3
[2012-04-16 02:25:43.065222] I [dht-rebalance.c:647:dht_migrate_file] 0-test-dht: /99: attempting to move from test-client-2 to test-client-3
[2012-04-16 02:25:43.078997] I [dht-rebalance.c:1594:gf_defrag_status_get] 0-glusterfs: Files migrated: 85, size: 1782579200, looku
Comment 1 Anand Avati 2012-04-16 14:19:25 EDT
CHANGE: http://review.gluster.com/3155 (cluster/dht: Revert to calling ftruncate) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 shylesh 2012-05-18 06:40:44 EDT
No such logs are appearing now.

Note You need to log in before you can comment on or make changes to this bug.